Bug 554063

Summary: preupgrade 1.1.4-1.fc11 fails
Product: [Fedora] Fedora Reporter: Timothy Ward <timwa1>
Component: preupgradeAssignee: Richard Hughes <rhughes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 11:36:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Timothy Ward 2010-01-10 05:23:45 EST
Description of problem:


1) Preupgrade fails fedora 11 to 12

2) Preupgrade fails when rebooting to install downloaded packages during installation. 

3) Incorrect Grub config parameter written for hd ie hd::UUID 123.123..... instead of (hd0, x)/upgrade/install/img. Fails to find the /boot directory on root

4) Fails to load ks.cfg file even with correct address ie (hd0, x)/upgrade/ks.cfg.

5) With correct hard drive address for /boot anaconda installer still does not recognise the hd and gives popup message to initialize it.

Version-Release number of selected component (if applicable):


How reproducible:

1. Run preupgrade

Steps to Reproduce:

1.Increase space in /boot directory.

2. Run preupgrade

2a ) reboot will fail if grub.conf hard-drive parameter's altered.

3) Before rebooting change grub.conf hard-drive parameter to (hd0 x).

4.Installation proceed to anaconda installer then fails to recognise hard drive
Actual results:

Fails to upgrade system.

Expected results:

Upgrade Fedora 11 to 12.

Additional info:
Comment 1 Bug Zapper 2010-04-28 07:41:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2010-06-28 11:36:45 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.